@tokenPadding: 8px;

#alt-token-tooltip-mobility,
#alt-token-tooltip-dcs,
#alt-token-tooltip-health,
#alt-token-tooltip {
	display: none;
}

#alt-token-tooltip {
	display: none;
	background-color: rgba(172, 255, 47, 0.301);

	left: calc(var(--left) * 1px);
	top: calc(var(--top) * 1px);
	right: calc(var(--right) * 1px);
	bottom: calc(var(--bottom) * 1px);

	justify-content: center;
	width: calc(calc(var(--right) - var(--left)) * 1px);
	height: calc(calc(var(--bottom) - var(--top)) * 1px);

	pointer-events: none;
	position: fixed;

	&.active {
		display: block;
	}

	.enhanced-tooltip-context {
		position: absolute;
		display: flex;
	}

	.enhanced-tooltip-block {
		z-index: 1000;
		//width: 6em;
		//height: 6em;
		display: grid;
		grid-template-columns: 6em min-content;
		grid-template-rows: min-content;

		row-gap: 1px;
		column-gap: 0.3em;

		border: 1px solid gray;
		border-radius: 0.5em;
		background-color: rgb(40, 37, 35);

		color: white;

		padding: 0.1em 0.3em;

		>.row {
			display: contents;
			font-size: var(--font-size-16, 12pt);

			.label {
				flex: 0 8em;
				color: #bbb6b1;
			}

			.value {
				flex: 1 4em;
				white-space: nowrap;
			}

			&.hidden {
				display: none;
			}
		}

		&.actor-name {
			grid-template-columns: 1fr;
		}

		.health-state {
			grid-column: span 2;
			text-align: right;

			&[data-level=0] {}

			&[data-level=1] {}

			&[data-level=2] {}

			&[data-level=3] {}
		}
	}

	.actor-name-box {
		display: flex;
		position: absolute;
		white-space: nowrap;
		top: calc(-2em - @tokenPadding);
		margin: 0;
		width: 100%;
		justify-content: center;

		.actor-name {
			font-size: var(--font-size-20, 14pt);
		}
	}

	#alt-token-tooltip-name {}

	#alt-token-tooltip-right-panel,
	#alt-token-tooltip-left-panel {
		position: absolute;
		display: flex;
		flex-direction: column;
		gap: 3px;
	}

	#alt-token-tooltip-right-panel {
		left: calc(calc(calc(var(--right) - var(--left)) * 1px) + @tokenPadding);
	}

	#alt-token-tooltip-left-panel {
		left: calc(calc(var(--width) * -1px) - @tokenPadding);
	}

	#alt-token-tooltip-health {
		//left: calc(calc(calc(var(--right) - var(--left)) * 1px) + @tokenPadding);
		//position: absolute;
	}

	#alt-token-tooltip-mobility {

	}

	#alt-token-tooltip-armor {}
	#alt-token-tooltip-dcs {}
}

.marker-blip {
	position: fixed;
	display: block;
	z-index: 10000;
	background-color: red;
	width: 3px;
	height: 3px;
}
